Subject: Re: ADS860 - unable to load kernel- Bad magic number

From: Bob Beck <[email-masked]>
Date: 27 Feb 2004 12:38:47 +1400

On Sat, 2004-02-28 at 07:29, Marius Groeger wrote:
> On Thu, 27 Feb 2004, Bob Beck wrote:
>
> > On Sat, 2004-02-28 at 06:32, Marius Groeger wrote:
> > > On Thu, 27 Feb 2004, Bob Beck wrote:
> > >
> > > >  What is the difference between vmlinux and zImage.embedded ?
> > >
> > > vmlinux is the plain kernel ELF image. You can use it to analyse the kernel
> > > code or symbols, but you cannot boot it as-is.
> > >
> > > zImage.embedded is the compressed kernel image plus some glue code used as a
> > > bridge between the firmware and the kernel.
> > >
> >
> > On my proprietary board (PPC 603). I do not have access to flash
> > so I am loading vmlinux into RAM and jumping to 0x10000. It is
> > running into problems in mmu_off.
> >
> > Should I be loading zImage.embedded instead ?
>
> Yes you can try that, but then you will have to modify the code in
> arch/ppc/boot/... to match the specifics of your board.
>
> Another popular way to go is to port u-boot to your platform first.
> U-boot accepts kernel pImages which you get by doing a "make pImage"
> in the kernel source dir.
>
> You will have to know your tools and hardware quite well either way,
> be prepared to learn a lot.
>
> Good Luck,
> Marius

Thanks. What is the difference between zImage.embedded and vmlinux.gz
generated by the kernel build ?

This is the file used by U-Boot's mkImage command to produce a
vmlinux.img file.

Bob

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/